<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper   PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="kr.co.jinwoosi.clfd.clfd.dgns.mapper.SkTyMapper">
    <select id="select" parameterType="skTySearch" resultType="skTy">
        SELECT *
        FROM CF_SK_TY
        WHERE 1 = 1
        <if test="!empty(skTyCd)" > AND SK_TY_CD = #{skTyCd} </if>
        <if test="skTyId != null" > AND SK_TY_ID = #{skTyId} </if>
    </select>
    <select id="selectList" parameterType="skTySearch" resultType="skTy">
        SELECT *
        FROM CF_SK_TY
        WHERE 1 = 1
            <if test="skTyId != null" > AND SK_TY_ID = #{skTyId} </if>
            <if test="!empty(skTyCd)" > AND SK_TY_CD = #{skTyCd} </if>
    </select>
</mapper>
